{**********************************************************************
 * ProxmoxVPS product developed. (2015-07-23)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
                    
<div class="mg-wrapper2">
    <div class="list-group list-group-tab-nav">
        {if $prod_permissions.per_reinstallation && $prod_permissions.virtualization_type=="OpenVZ"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="reinstall"}active{/if}" href="{$managementVMURL}&page=reinstall" >{$_LANG.cloud.reinstall}</a>
        {/if}
        {if $prod_permissions.backup_list=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="backup"}active{/if}" href="{$managementVMURL}&page=backup" >{$_LANG.cloud.backup}</a>
        {/if}
        {if $prod_permissions.backup_jobs=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="backupJobs"}active{/if}" href="{$managementVMURL}&page=backupJobs" >{$_LANG.cloud.backup_jobs}</a>
        {/if}
        {if $prod_permissions.per_mrtg_graphics=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="graph"}active{/if}" href="{$managementVMURL}&page=graph" >{$_LANG.cloud.graphs}</a>
        {/if}
        {if $prod_permissions.per_task_history=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="taskHistory"}active{/if}" href="{$managementVMURL}&page=taskHistory" >{$_LANG.cloud.task_history}</a>
        {/if}
        {if $prod_permissions.per_network=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="network"}active{/if}" href="{$managementVMURL}&page=network" >{$_LANG.cloud.network}</a>
        {/if}
        {if $prod_permissions.per_snapshots=="Yes" && $prod_permissions.virtualization_type =="KVM"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="snapshot"}active{/if}" href="{$managementVMURL}&page=snapshot" >{$_LANG.cloud.snapshots}</a>
        {/if}
        {if $prod_permissions.per_firewall=="Yes"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="firewall"}active{/if}" href="{$managementVMURL}&page=firewall" >{$_LANG.button_firewall}</a>
        {/if}
        {if $prod_permissions.per_DisksManagement && $prod_permissions.virtualization_type =="KVM"}
            <a id="pm-reinstallation" class="list-group-item {if $currentPage=="disks"}active{/if}" href="{$managementVMURL}&page=disks" >{$_LANG.button_disksManagement}</a>
        {/if}
        {if $prod_permissions.per_scheduledtask=='Yes'}
            <a  class="list-group-item {if $currentPage=="scheduledTask"}active{/if}" href="{$managementVMURL}&page=scheduledTask" >{$_LANG.panel.scheduledTask}</a>
        {/if}
    </div>
</div>
{literal}
<script>
    $(document).ready( function() {
        $('.mg-wrapper2').parents('.panel').first().addClass("panel-actions");
        $('.mg-wrapper2').parent().replaceWith($('.mg-wrapper2').html());
    });
</script>
{/literal}