{**********************************************************************
 * ProxmoxVPS product developed. (2015-07-24)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
* @params $managementURL, $currentPage, $prod_permissions, $_LANG
*}
    
<div class="module-sidebar">
    <div class="sidebar-header" style="margin-bottom:10px">
        <button type="button" data-toggle="collapse" data-target=".module-menu" class="btn btn-icon cp-sidebar-toggle"> 
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <h3>
           <a  href="{$managementURL}" > <span class="hide-sm">{$_LANG.panel.manageSevers}</span>
               </a>
            <span class="show-sm"></span>
        </h3>
    </div>
    <ul class="module-menu collapse">
        <li><a  class=" {if $subaction=="addvm"}active{/if} "  href="{$managementURL}&subaction=addvm" ><i class="icon-menu icon-vps-add"></i><span class="hide-sm">{$_LANG.cloud.add_new_server}</span></a></li>
    </ul>
    
{if $isVM}
    <div class="sidebar-header" style="margin-bottom:10px; margin-top: 10px;">
        <button type="button" data-toggle="collapse" data-target=".module-menu" class="btn btn-icon cp-sidebar-toggle"> 
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <h3>
           <span class="hide-sm">{$_LANG.panel.manageVM}</span>
            <span class="show-sm"></span>
        </h3>
    </div>
    <ul class="module-menu collapse">
        <li><a id="pm-start" class=" {if $currentPage=="manageVM"}active{/if}"  href="{$managementVMURL}&page=manageVM" ><i class="icon-menu icon-vps-details"></i><span class="hide-sm">{$_LANG.cloud.details}</span></a></li>
        {if $prod_permissions.per_boot=="Yes"}<li><a id="pm-start" class=" {if $currentPage=="start"}active{/if} proxmox-vm-action"  data-subaction="startVM" href="#" ><i class="icon-menu icon-boot"></i><span class="hide-sm">{$_LANG.cloud.boot}</span></a></li>{/if}
        {if $prod_permissions.per_reboot=="Yes"}<li><a id="pm-restart" class=" {if $currentPage=="restart"}active{/if} proxmox-vm-action" data-subaction="rebootVM" href="#" ><i class="icon-menu icon-reboot"></i><span class="hide-sm">{$_LANG.cloud.reboot}</span></a></li>{/if}
        {if $prod_permissions.per_stop=="Yes"}<li><a id="pm-stop" class=" {if $currentPage=="stop"}active{/if} proxmox-vm-action" href="#" data-subaction="stopVM" ><i class="icon-menu icon-stop"></i><span class="hide-sm"> {$_LANG.cloud.stop}</span></a></li>{/if}
        {if $prod_permissions.per_shutdown=="Yes"}<li><a id="pm-shutdown" class=" {if $currentPage=="shutdown"}active{/if} proxmox-vm-action" href="#" data-subaction="shutdownVM" ><i class="icon-menu icon-shutdown"></i><span class="hide-sm">{$_LANG.cloud.shutdown}</span></a></li>{/if}
        {if $prod_permissions.per_vnc_console=="Yes" && !$isProxmox4}<li><a id="pm-vnc-console" onclick="window.open('{$managementVMURL}&page=manageVM&subaction=vncConsole', '', 'width=900,height=700'); return false;" href="#" class=" {if $currentPage=="console"}active{/if}"  ><i class="icon-menu icon-vnc"></i><span class="hide-sm">{$_LANG.cloud.console}</span></a></li>{/if}
        {if $prod_permissions.per_novnc_console}<li><a id="pm-novnc-console" onclick="window.open('{$managementVMURL}&page=manageVM&subaction=novnc', '', 'width=900,height=700'); return false;" href="#" class=" {if $currentPage=="console"}active{/if}" ><i class="icon-menu icon-novnc"></i><span class="hide-sm">{$_LANG.button_novnc}</span></a></li>{/if}
        {if $prod_permissions.per_spice_console=="Yes"}<li><a id="pm-spice-console" href="{$managementVMURL}&page=manageVM&subaction=spice" class=" {if $currentPage=="console"}active{/if}" ><i class="icon-menu icon-spice"></i><span class="hide-sm">{$_LANG.button_spice}</span></a></li>{/if}   
           {if $prod_permissions.per_upgrade=="Yes"}<li><a   class="{if $currentPage=="manageVM" && $subaction=='edit'}active{/if}"  href="{$managementVMURL}&page=manageVM&subaction=edit" ><i class="icon-menu icon-editvm"></i><span class="hide-sm">{$_LANG.cloud.btn_upgrade}</span></a></li>{/if}
    </ul>
    
    <div class="sidebar-header" style="margin-bottom:10px; margin-top: 10px;">
        <button type="button" data-toggle="collapse" data-target=".module-menu" class="btn btn-icon cp-sidebar-toggle"> 
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>
        <h3>
            <span class="hide-sm">{$_LANG.home.AdditionalTools}</span>
            <span class="show-sm"></span>
        </h3>
    </div>
    <ul class="module-menu collapse">
        {if $prod_permissions.per_reinstallation && ($prod_permissions.virtualization_type=="OpenVZ" || $prod_permissions.virtualization_type=="LXC" )}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="reinstall"}active{/if}" href="{$managementVMURL}&page=reinstall" ><i class="icon-menu icon-reinstall"></i><span class="hide-sm"> {$_LANG.cloud.reinstall}</span></a></li>
        {/if}
        {if $prod_permissions.backup_list=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="backup"}active{/if}" href="{$managementVMURL}&page=backup" ><i class="icon-menu icon-backup"></i><span class="hide-sm">{$_LANG.cloud.backup}</span></a></li>
        {/if}
        {if $prod_permissions.backup_jobs=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="backupJobs"}active{/if}" href="{$managementVMURL}&page=backupJobs"><i class="icon-menu icon-backup_jobs"></i><span class="hide-sm">{$_LANG.cloud.backup_jobs}</span></a></li>
        {/if}
        {if $prod_permissions.per_mrtg_graphics=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="graph"}active{/if}" href="{$managementVMURL}&page=graph" ><i class="icon-menu icon-graphs"></i><span class="hide-sm">{$_LANG.cloud.graphs}</span></a></li>
        {/if}
        {if $prod_permissions.per_task_history=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="taskHistory"}active{/if}" href="{$managementVMURL}&page=taskHistory" ><i class="icon-menu icon-task_history"></i><span class="hide-sm">{$_LANG.cloud.task_history}</span></a></li>
        {/if}
        {if $prod_permissions.per_network=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="network"}active{/if}" href="{$managementVMURL}&page=network"><i class="icon-menu icon-network"></i><span class="hide-sm">{$_LANG.cloud.network}</span></a></li>
        {/if}
        {if $prod_permissions.per_snapshots=="Yes" && $prod_permissions.virtualization_type =="KVM"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="snapshot"}active{/if}" href="{$managementVMURL}&page=snapshot"><i class="icon-menu icon-snapshots"></i><span class="hide-sm">{$_LANG.cloud.snapshots}</span></a></li>
        {/if}
        {if $prod_permissions.per_firewall=="Yes"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="firewall"}active{/if}" href="{$managementVMURL}&page=firewall"><i class="icon-menu icon-firewall"></i><span class="hide-sm">{$_LANG.button_firewall}</span></a></li>
        {/if}
        {if $prod_permissions.per_DisksManagement && $prod_permissions.virtualization_type =="KVM"}
            <li><a id="pm-reinstallation" class=" {if $currentPage=="disks"}active{/if}" href="{$managementVMURL}&page=disks" ><i class="icon-menu icon-disks"></i><span class="hide-sm">{$_LANG.button_disksManagement}</span></a></li>
        {/if}
        {if $prod_permissions.per_scheduledtask=='Yes'}
               <li><a  class=" {if $currentPage=="scheduledTask"}active{/if}"  href="{$managementVMURL}&page=scheduledTask" ><i class="icon-menu icon-scheduled-task"></i><span class="hide-sm">{$_LANG.panel.scheduledTask}</span></a></li>
        {/if}
    </ul>
{/if}
</div>