{**********************************************************************
 * ProxmoxAddon product developed. (2015-09-03)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div class="col-lg-12" id="pm-ip-content" >
    <legend>{$MGLANG->T('header','Servers')}</legend>
   
        <table class="table table-hover" id="pm-data-list" >
            <thead>
                <tr>
                    <th>{$MGLANG->T('tableHeader','Name')}</th>
                    <th>{$MGLANG->T('tableHeader','IP Address')}</th>
                    <th>{$MGLANG->T('tableHeader','Active Accounts')}</th>
                    <th>{$MGLANG->T('tableHeader','RAM Assigned / Total / ')} <span style="color:#CCCC33">{$MGLANG->T('tableHeader','Free')}</span></th>
                    <th>{$MGLANG->T('tableHeader','Suspended')}</th>
                    <th>{$MGLANG->T('tableHeader','Status')}</th>
                    <th>{$MGLANG->T('tableHeader','VM Range')}</th>
                    <th style="width: 80px; text-align: center;">{$MGLANG->T('tableHeader','Actions')}</th>
                </tr>
            </thead>
            <tbody>
            </tbody> 
        </table>
              
      {*pm-edit-vm-rage*}
            <div class="modal fade bs-example-modal-lg" id="pm-edit-vm-rage" data-modal-load="getVMRange"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','VM Range')} <strong data-modal-var="name"></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              
              <div class="modal-body">
                    <div class="modal-alerts">
                        <div style="display:none;" data-prototype="error">
                            <div class="note note-danger">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <strong></strong>
                                <a style="display:none;" class="errorID" href=""></a>
                            </div>
                        </div>
                        <div style="display:none;" data-prototype="success">
                            <div class="note note-success">
                                <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                                <strong></strong>
                            </div>
                        </div>
                    </div>
                  <input type="hidden" name='serverID' value="" />
                  <div class="form-horizontal">
                              <div class="form-group">
                                    <label class="col-sm-3 control-label" for="editOfficeHours_open">{$MGLANG->T('VM Range')}</label>
                                    <div data-num="1" class="col-sm-8">
                                          <input type="text" placeholder="{$MGLANG->T('100')}"  class="form-control" value="" name="vmidFrom" style="display: inline; width:120px; ">
                                          <i class="glyphicon glyphicon-resize-horizontal"></i>
                                          <input type="text" placeholder="{$MGLANG->T('150')}" class="form-control" value="" name="vmidTo" style="display: inline; width:120px;">
                                    </div>
                              </div>

                        </div>
              </div>
              
                             
              <div class="modal-footer">
                  <button type="button" class="btn btn-primary" data-modal-action="saveVMRange" id="pm-modal-addip-button-add">{$MGLANG->T('modal','Save Changes')}</button>
                  <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>

</div>
{literal}
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {

                  $(document).on('click', '.toggleAll', function() {
                        $('.checkThis').prop('checked', $(this).is(':checked'));
                  });

                  taDataTable = $('#pm-data-list').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide":  false,
                        "order": [[0, "asc"]],
                        ajax: function(data, callback, settings) {
                              var filter = {
                                    serverID: $('#pm-filters-server').val(),
                                    ip: $('#pm-filter-ip').val(),
                                    mac: $('#pm-filter-mac').val(),
                                    ipVersion : $('#pm-filter-ip-version').val(),
                              };
                              JSONParser.request(
                                      'getServersList'
                                      , {
                                            filter: filter
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              {orderable: false}
                              , null
                                      , null
                                      , null
                                      , null
                                      , null
                                      , null
                                      ,{orderable: false}
                                     
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  $("#qb-button-toggle").click(function(){
                      $("#qb-form-filters").toggle();  
                  });                                     
                  jQuery('#pm-ip-content').MGModalActions();

                      //queue
                  var ajaxQueue = $({});
                  $.ajaxQueue = function (ajaxOpts) {
                        // Hold the original complete function
                        var oldComplete = ajaxOpts.complete;
                        // Queue our ajax request
                        ajaxQueue.queue(function (next) {
                            // Create a complete callback to invoke the next event in the queue
                            ajaxOpts.complete = function () {
                                // Invoke the original complete if it was there
                                if (oldComplete) {
                                    oldComplete.apply(this, arguments);
                                }
                                // Run the next query in the queue
                                next();
                            };
                            // Run the query
                            JSONParser.request(
                                    ajaxOpts.action
                                    , ajaxOpts.data
                                    , function (data) {
                                        ajaxOpts.complete();
                                        ajaxOpts.success(data);
                                    }
                            , "off"
                                    );
                        });
                  };
                    
                  $('#pm-data-list').on( 'draw.dt', function () {
                      $(this).find('tbody tr').each(function() {
                            var serverId = $(this).attr('data-id');
                            if(serverId){
                                $.ajaxQueue({
                                    action: "serverRamDetail",
                                    data: {
                                        serverId: serverId
                                    },
                                    success: function (data) {
                                        if(!data.dt_row_id)
                                            return;
                                        var row = $('#pm-data-list tbody').find('[data-id="'+data.dt_row_id+'"]');
                                        if(row){
                                            $(row).find('td:eq(3)').html(data['0']);
                                            $(row).find('td:eq(4)').html(data['1']);
                                        }
                                    }
                                });
                            }
                        });
                    });
                });
      </script>
 
{/literal}