{**********************************************************************
 * ProxmoxAddon product developed. (2015-09-03)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div class="col-lg-12" id="pm-vm-content" >
    <legend>{$MGLANG->T('header','VM List')} <button type="button" class="btn btn-default btn-xs" id="qb-button-toggle" style="float:right;">{$MGLANG->T('filters','toggle')}</button>  </legend>
    

      <div id="pm-form-filters" style="display:none;">
          <div class="row">
                <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-serverID">{$MGLANG->T('filters','server')} </label>
                      <select name='serverID' class="form-control"  id="pm-filters-server">
                          <option value="0"></option>
                          {foreach from=$servers item=item  key=k}
                              <option value="{$item.id}" >{if $item.name} {$item.name}{else} {$item.ipaddress}{/if}</option>
                          {/foreach}
                      </select>
                  </div>
              </div>
                <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-serverType">{$MGLANG->T('filters','Type')} </label>
                      <select name='serverType' class="form-control"  id="pm-filters-serverType">
                          <option value=""></option>
                          <option value="proxmoxVPS">{$MGLANG->T('proxmoxVPS')}</option>
                          <option value="proxmoxCloud">{$MGLANG->T('proxmoxCloud')}</option>
                      </select>
                  </div>
                  
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-client"> {$MGLANG->T('filters','Client')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-client" name="client">
                  </div>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-domain"> {$MGLANG->T('filters','Domain')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-domain" name='domain'>
                  </div>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filters-status">{$MGLANG->T('filters','Status')} </label>
                      <select name='status' class="form-control"  id="pm-filters-status">
                          <option value=""></option>
                          <option value="Pending">{$MGLANG->T('Pending')}</option>
                          <option value="Active">{$MGLANG->T('Active')}</option>
                          <option value="Suspended">{$MGLANG->T('Suspended')}</option>
                          <option value="Terminated">{$MGLANG->T('Terminated')}</option>
                          <option value="Cancelled">{$MGLANG->T('Cancelled')}</option>
                          <option value="Fraud">{$MGLANG->T('Fraud')}</option>
                      </select>
                  </div>
                  <button type="button" class="btn btn-warning" id="QBButtonReset">{$MGLANG->T('filters','Reset')}</button>
                  <button type="button" class="btn btn-primary" id="QBButtonFilter">{$MGLANG->T('filters','Filter')}</button>
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-ip"> {$MGLANG->T('filters','IP Address')}</label>
                      <input type="text" class="form-control datepicker" id="pm-filter-ip" name="IpAddress">
                  </div>
                  
              </div>
              <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-node"> {$MGLANG->T('filters','Node')}</label>
                      <input type="text" class="form-control" id="pm-filter-node" name="node">
                  </div>
              </div>
               <div class="col-md-3">                  
                  <div class="form-group">
                      <label for="pm-filter-vmid"> {$MGLANG->T('filters','VMID')}</label>
                      <input type="text" class="form-control" id="pm-filter-node" name="vmid">
                  </div>
              </div>
          </div>
      </div>
      <br/>
            
        <table class="table table-hover" id="pm-data-list" >
            <thead>
                <tr>
                    <th>{$MGLANG->T('tableHeader','ID')}</th>
                    <th>{$MGLANG->T('tableHeader','Product / Service')}</th>
                    <th>{$MGLANG->T('tableHeader','Status')}</th>
                    <th>{$MGLANG->T('tableHeader','Domain')}</th>
                    <th>{$MGLANG->T('tableHeader','IP Address')}</th>
                    <th>{$MGLANG->T('tableHeader','VM')}</th>
                    <th>{$MGLANG->T('tableHeader','Client')}</th>
                    <th>{$MGLANG->T('tableHeader','Product')}</th>
                    <th>{$MGLANG->T('tableHeader','Server')}</th>
                </tr>
            </thead>
            <tbody>
            </tbody> 
        </table>


            <div class="modal fade bs-example-modal-lg" id="pm-show-vm-details" data-modal-load="showVMdetails"  tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
              <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('modal','VM Details')} <strong data-modal-var="name"></strong></h4>
              </div>
              <div class="modal-loader" style="display:none;"></div>
              
              <div class="modal-body">
                  <div class="alert alert-danger"  style="display:none;">
                      <button data-dismiss="alert" class="close" type="button"><span aria-hidden="true">×</span><span class="sr-only"></span></button>
                     <p></p>
                  </div>
                  <div data-modal-html="html"></div>
                  
              </div>
       
              <div class="modal-footer">
                  <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('modal','close')}</button>
              </div>
          </div>
        </div>
      </div>
              
</div>
{literal}
      <script type="text/javascript">
            var taDataTable;

            jQuery(document).ready(function() {

                  $(document).on('click', '.toggleAll', function() {
                        $('.checkThis').prop('checked', $(this).is(':checked'));
                  });

                  taDataTable = $('#pm-data-list').dataTable({
                        processing: false,
                        searching: true,
                        autoWidth: false,
                        "serverSide":  true,
                        "order": [[0, "asc"]],
                        ajax: function(data, callback, settings) {
                            
                             
                              JSONParser.request(
                                      'getVMList'
                                      , {
                                            filter: $("#pm-form-filters").MGserializeInputData()
                                            , limit: data.length
                                            , offset: data.start
                                            , order: data.order
                                            , search: data.search
                                      }
                              , function(data) {
                                    callback(data);
                                    if($('.dataTables_empty').size()){
                                          $("#QBButtonExport").parent().hide();
                                          
                                    }else{
                                          $("#QBButtonExport").parent().show();
                                    }
                              }
                              );
                        },
                        'columns': [
                              , null
                              , null
                              , null
                              , null
                              , {orderable: false}
                              , null
                              , null
                              , {orderable: false}
                                     
                        ],
                        'aoColumnDefs': [{
                                    'bSortable': false,
                                    'aTargets': ['nosort']
                              }],
                        language: {
                              "zeroRecords": "{/literal}{$MGLANG->T('noAvailable')}{literal}",
                              "infoEmpty": "{/literal}{$MGLANG->T('noAvailableInfo')}{literal}",
                              "search": "{/literal}{$MGLANG->T('search')}{literal}",
                              "paginate": {
                                    "previous": "{/literal}{$MGLANG->T('previous')}{literal}"
                                    , "next": "{/literal}{$MGLANG->T('next')}{literal}"
                              }
                        }
                  });
                  
                   $("#QBButtonFilter").click(function(){
                   
                        var api = taDataTable.api();
                            api.ajax.reload(function() {
                            }, false);
                  });
                  
                  $( "body" ).delegate( ".pmDelete", "click", function() {
                      $("#pmDeleteTemplate").modal();
                      $("#pmDeleteTemplate .modal-title strong").html($(this).attr('data-ip'));
                      $("#modal-id").val($(this).attr('data-id'));
                 });
                 
                 $( "body" ).delegate( "#pmConfirmDelete", "click", function() {
                     JSONParser.request(
                                'deleteIP'
                                ,{
                                    'id': $("#modal-id").val(),
                                }
                                , function(data){
                              
                                     jQuery('#MGAlerts').alerts('success',data.success);
                                      $("#pmDeleteTemplate").modal('hide');
                                       var api = taDataTable.api();
                                      api.ajax.reload(function() {}, false);
                                }
                        );
                 });  
                  
                  
                  $("#qb-button-toggle").click(function(){
                      $("#pm-form-filters").toggle();  
                  }); 
                  
                  $("#QBButtonReset").click(function(){
                      
                      $("#pm-form-filters").MGresetInputData();
                     
                      var api = taDataTable.api();
                      api.ajax.reload(function() {}, false);
                  });

                  jQuery('#pm-vm-content').MGModalActions();


            });
      </script>
 
{/literal}