<?php
/* * ********************************************************************
 * Customization Services by ModulesGarden.com
 * Copyright (c) ModulesGarden, INBS Group Brand, All Rights Reserved 
 * (2014-04-06, 15:34:02)
 * 
 *
 *  CREATED BY MODULESGARDEN       ->        http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 * ******************************************************************** */

/**
 * @author Grzegorz Draganik <grzegorz@modulesgarden.com>
 */

proxmoxCloud_Hooks::addHook('proxmoxCloud_beforeCreateVM',		'MyExampleCloudHooks::beforeCreateVM');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterCreateVM',		'MyExampleCloudHooks::afterCreateVM');
proxmoxCloud_Hooks::addHook('proxmoxCloud_beforeTerminateVM',	'MyExampleCloudHooks::beforeTerminateVM');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterTerminateVM',	'MyExampleCloudHooks::afterTerminateVM');

proxmoxCloud_Hooks::addHook('proxmoxCloud_beforeCreate',		'MyExampleCloudHooks::beforeCreate');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterCreate',			'MyExampleCloudHooks::afterCreate');
proxmoxCloud_Hooks::addHook('proxmoxCloud_beforeTerminate',		'MyExampleCloudHooks::beforeTerminate');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterTerminate',		'MyExampleCloudHooks::afterTerminate');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterSuspend',		'MyExampleCloudHooks::afterSuspend');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterUnsuspend',		'MyExampleCloudHooks::afterUnsuspend');

proxmoxCloud_Hooks::addHook('proxmoxCloud_afterIPAdditionByAdmin',	'MyExampleCloudHooks::afterIPAdditionByAdmin');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterIPDeletionByAdmin',	'MyExampleCloudHooks::afterIPDeletionByAdmin');
proxmoxCloud_Hooks::addHook('proxmoxCloud_afterIPAdditionByUpgrade', 'MyExampleCloudHooks::afterIPAdditionByUpgrade');


class MyExampleCloudHooks {
	
	/**
	 * Keys in params:
	 *		array params - default params from whmcs
	 *		array productConfig - values from product's Module Settings page
	 *		string type - openvz|kvm
	 *		string node - node name, can be different when there is Auto-Node option selected
	 *		string settings - all of params sent to the API
	 *		int vmid
	 * @param array $params
	 */
	public static function beforeCreateVM($params){
		//self::log('beforeCreateVM', $params);
	}
	/**
	 * Keys in params:
	 *		array params - default params from whmcs
	 *		array productConfig - values from product's Module Settings page
	 *		string type - openvz|kvm
	 *		string node - node name, can be different when there is Auto-Node option selected
	 *		string settings - all of params sent to the API
	 *		string response - from server e.g. UPID:server1:00000000:00000000:00000000:qmcreate:142:root@pam:
	 *		int vmid
	 * @param array $params
	 */
	public static function afterCreateVM($params) {
            //self::log('afterCreateVM', $params);
      }
	
	public static function beforeTerminateVM($params){
		//self::log('beforeTerminateVM', $params);
	}
	
	public static function afterTerminateVM($params){
		//self::log('afterTerminateVM', $params);
	}
	
	public static function beforeCreate($params){
		//self::log('beforeCreate', $params);
	}
	
	public static function afterCreate($params){
		//self::log('afterCreate', $params);
	}
	
	public static function beforeTerminate($params){
		//self::log('beforeTerminate', $params);
	}
	
	public static function afterTerminate($params){
		//self::log('afterTerminate', $params);
	}
	
	public static function afterSuspend($params){
		//self::log('afterSuspend', $params);
	}
	
	public static function afterUnsuspend($params){
		//self::log('afterUnsuspend', $params);
	}
	
	
	public static function afterIPAdditionByAdmin($params){
		//self::log('afterIPAdditionByAdmin', $params);
	}
	
	public static function afterIPDeletionByAdmin($params){
		//self::log('afterIPDeletionByAdmin', $params);
	}
	
	public static function afterIPAdditionByUpgrade($params){
	      //self::log('afterIPAdditionByUpgrade', $params);
	}
	
	/**
	 * Adds log to the WHMCS Module Log
	 * @param string $hook
	 * @param array $params
	 */
	private static function log($hook, array $params){
		logModuleCall(
			"proxmoxCloud",
			'hook ' . $hook,
			'',
			'',
			print_r($params, true)
		);
	}
	
}