{**********************************************************************
* ProxmoxCloud product developed. (2015-12-16)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}
<button id="mg-pm-add-vm" data-toggle="modal" data-target="#mg-pm-modal-add-vm" class="btn btn-default" type="button">{$MGLANG->T('Add New Virtual Server')}</button>

{*Modal add vm*}
<div class="modal fade bs-example-modal-lg" id="mg-pm-modal-add-vm" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Close</span></button>
                <h4 class="modal-title">{$MGLANG->T('Add New Virtual Server')} <strong></strong></h4>
            </div>
            <div class="modal-loader" style="display:none;"></div>

            <div class="modal-body">
                <input type="hidden" name="id" data-target="id" value="">
                <div class="modal-alerts">
                    <div style="display:none;" data-prototype="error">
                        <div class="note note-danger">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                            <a style="display:none;" class="errorID" href=""></a>
                        </div>
                    </div>
                    <div style="display:none;" data-prototype="success">
                        <div class="note note-success">
                            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                            <strong></strong>
                        </div>
                    </div>
                </div>

                <form data-toggle="validator" role="form" id="mg-pm-form-add">
                    <div class="form-group">
                        <label for="mg-vm-node" class="control-label">{$MGLANG->T('Node')}</label>
                        <select name="vm[node]" id="mg-vm-node" class="form-control" required disabled>
                        </select>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-hostname" class="control-label">{$MGLANG->T('Hostname')}</label>
                        <input type="text" name="vm[hostname]" class="form-control" id="mg-vm-hostname" data-error="That hostname is invalid" required disabled>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-osType" class="control-label">{$MGLANG->T('OS Type')}</label>
                        <select name="vm[ostype]" id="mg-vm-osType" class="form-control" required disabled>
                        </select>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-cores" class="control-label">{$MGLANG->T('Cores')}</label>
                        <input type="number" name="vm[cores]" class="form-control" id="mg-vm-cores" data-error="Amount of Cores is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-cpuunits" class="control-label">{$MGLANG->T('Sockets')}</label>
                        <input type="number" name="vm[cpuunits]" class="form-control" id="mg-vm-cpuunits" data-error="Amount of Sockets is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div> 
                    <div class="form-group">
                        <label for="mg-vm-memory" class="control-label">{$MGLANG->T('Memory')} </label>
                        <input type="number" name="vm[memory]" class="form-control" id="mg-vm-cpuunits" data-error="Amount of RAM is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div> 
                    <div class="form-group">
                        <label for="mg-vm-sockets" class="control-label">{$MGLANG->T('RAM')}</label>
                        <input type="number" name="vm[sockets]" class="form-control" id="mg-vm-ram" data-error="Amount of RAM is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div>   
                    <div class="form-group">
                        <label for="mg-vm-iso" class="control-label">{$MGLANG->T('ISO')}</label>
                        <select name="vm[iso]" id="mg-vm-osType" class="form-control" required disabled>
                        </select>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-ram" class="control-label">{$MGLANG->T('RAM')}</label>
                        <input type="number" name="vm[ram]" class="form-control" id="mg-vm-ram" data-error="Amount of RAM is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div>
                    <div class="form-group">
                        <label for="mg-vm-cpu" class="control-label">{$MGLANG->T('CPU')}</label>
                        <input type="number" name="vm[cpu]" class="form-control" id="mg-vm-ram" data-error="Amount of RAM is invalid" min="120" max="200000" required disabled>
                        <div class="help-block with-errors"></div>
                    </div>
                </form>
            </div>


            <div class="modal-footer">
                <button type="button" class="btn btn-primary" data-modal-action="deleteLog" id="mg-pm-modal-button-add">{$MGLANG->T('Add')}</button>
                <button type="button" class="btn btn-default" data-dismiss="modal">{$MGLANG->T('Close')}</button>
            </div>
        </div>
    </div>
</div>
