{**********************************************************************
* ProxmoxCloud product developed. (2015-09-18)
* *
*
*  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
*  CONTACT                        ->       contact@modulesgarden.com
*
*
* This software is furnished under a license and may be used and copied
* only  in  accordance  with  the  terms  of such  license and with the
* inclusion of the above copyright notice.  This software  or any other
* copies thereof may not be provided or otherwise made available to any
* other person.  No title to and  ownership of the  software is  hereby
* transferred.
*
*
**********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
*}

<div id="mg-error-container">
    {if $errors}
        <div class="alert alert-danger" role="alert">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$errors item=error}
                <p>{$error}</p>
            {/foreach}
        </div>
    {elseif $infos}
        <div class="alert alert-success">
            <button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">&times;</span><span class="sr-only"></span></button>
                {foreach from=$infos item=info}
                <p>{$info}</p>
            {/foreach}
        </div>
    {/if}
</div>

<div id="mg-container">


    <div class="module-header">
        <i class="icon-header icon-scheduled-task"></i>
        <h1>{$_LANG.logs.main_header}</h1>
        <p>{$_LANG.logs.description}</p>
    </div>

    <div class="module-body">
        <div class="section"> 

            <table class="table">
                <thead>
                    <tr>
                        <th>{$_LANG.logs.task}</th>
                        <th>{$_LANG.logs.created}</th>
                        <th>{$_LANG.logs.last_update}</th>
                        <th>{$_LANG.logs.attempts}</th>
                        <th>{$_LANG.logs.message}</th>
                        <th>{$_LANG.logs.status}</th>
                    </tr>  
                </thead>     
                <tbody>
                    {foreach from=$activeTasks item=task}
                        <tr>
                            <td>{$task.action}</td>
                            <td>{$task.createDate}</td>
                            <td>{$task.lastAttemptDate}</td>
                            <td>{$task.attempt}</td>
                            <td>{$task.message}</td>
                            <td>{$task.status}</td>
                        </tr>
                    {foreachelse}
                        <tr>
                            <td colspan="6">{$_LANG.logs.msg_no_tasks}</td>
                        </tr>
                    {/foreach}


                </tbody>
            </table>
        </div>
    </div>
</div>




