{**********************************************************************
 * ProxmoxVPS product developed. (2015-07-23)
 * *
 *
 *  CREATED BY MODULESGARDEN       ->       http://modulesgarden.com
 *  CONTACT                        ->       contact@modulesgarden.com
 *
 *
 * This software is furnished under a license and may be used and copied
 * only  in  accordance  with  the  terms  of such  license and with the
 * inclusion of the above copyright notice.  This software  or any other
 * copies thereof may not be provided or otherwise made available to any
 * other person.  No title to and  ownership of the  software is  hereby
 * transferred.
 *
 *
 **********************************************************************}

{**
* @author Paweł Kopeć <pawelk@modulesgarden.com>
* @vars managementURL, $currentPage, $prod_permissions, $_LANG
*}
                    
<div class="mg-wrapper1">
    <div class="list-group list-group-tab-nav">
        <a  class="list-group-item {if $currentPage=="manageVM"}active{/if} "  href="{$managementVMURL}&page=manageVM" >{$_LANG.cloud.details}</a> 
        {if $prod_permissions.per_boot=="Yes"}<a id="pm-start" class="list-group-item {if $currentPage=="start"}active{/if} proxmox-vm-action"  data-subaction="startVM" href="#" >{$_LANG.cloud.boot}</a>{/if}
        {if $prod_permissions.per_reboot=="Yes"}<a id="pm-restart" class="list-group-item {if $currentPage=="restart"}active{/if} proxmox-vm-action" data-subaction="rebootVM" href="#" >{$_LANG.cloud.reboot}</a>{/if}
        {if $prod_permissions.per_stop=="Yes"}<a id="pm-stop" class="list-group-item {if $currentPage=="stop"}active{/if} proxmox-vm-action" href="#" data-subaction="stopVM" >{$_LANG.cloud.stop}</a>{/if}
        {if $prod_permissions.per_shutdown=="Yes"}<a id="pm-shutdown" class="list-group-item {if $currentPage=="shutdown"}active{/if} proxmox-vm-action" href="#" data-subaction="shutdownVM" >{$_LANG.cloud.shutdown}</a>{/if}
        {if $prod_permissions.per_vnc_console=="Yes" && !$isProxmox4}<a id="pm-vnc-console" onclick="window.open('{$managementVMURL}&subaction=vncConsole', '', 'width=900,height=700'); return false;" class="list-group-item {if $currentPage=="console"}active{/if}" href="#" >{$_LANG.cloud.console}</a>{/if}
        {if $prod_permissions.per_novnc_console}<a id="pm-novnc-console" onclick="window.open('{$managementVMURL}&subaction=novnc', '', 'width=900,height=700');" class="list-group-item {if $currentPage=="console"}active{/if}" href="#" >{$_LANG.button_novnc}</a>{/if}
        {if $prod_permissions.per_spice_console=="Yes"}<a id="pm-spice-console" href="{$managementVMURL}&subaction=spice" class="list-group-item {if $currentPage=="console"}active{/if}" >{$_LANG.button_spice}</a>{/if}  
        {if $prod_permissions.per_upgrade=="Yes"}<a class="list-group-item {if $currentPage=="manageVM" && $subaction=='edit'}active{/if}"  href="{$managementVMURL}&subaction=edit" >{$_LANG.cloud.btn_upgrade}</a>{/if}
    </div>
</div>
{literal}
<script>
    $(document).ready( function() {
        $('.mg-wrapper1').parents('.panel').first().addClass("panel-actions");
        $('.mg-wrapper1').parent().replaceWith($('.mg-wrapper1').html());
    });
</script>
{/literal}